* {
    margin: 0;
  }
  
  body {
    height: 100%;
  }
  
  body.body-panier, body.body-page-produit {
    height: 100vh;
  }
  
  .test {
    display: flex;
  }
  
  .container {
    position: fixed;
  }
  
  body.intro {
    text-align: center;
    background-color: black;
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 25%;
    font-size: 4rem;
  }
  body.intro .welcome-page-h1 {
    margin-top: 10px;
    font-size: 1.2rem;
    font-weight: 300;
  }
  
  aside {
    display: inline-block;
    width: 20%;
    height: 100%;
    background-color: #000000;
    position: relative;
    border-right: 1px solid white;
  }
  aside h1 {
    text-align: center;
    border: none;
    margin-top: 30px;
    color: red;
    font-size: 24px;
    margin-bottom: 60px;
  }
  aside a.btn {
    text-align: center;
    border: none;
    margin-top: 30px;
    color: red;
    font-size: 24px;
    margin-bottom: 60px;
    text-decoration: none;
  }
  aside .mangatheque-title {
    text-align: center;
    margin-bottom: 60px;
    margin-top: 30px;
  }
  aside a {
    font-size: 20px;
  }
  aside li {
    color: #000;
    position: relative;
    text-decoration: none;
  }
  aside p, aside li {
    color: #f5f7fa;
  }
  aside i.fas.fa-search.fa-2x {
    margin-right: 6%;
  }
  aside i.fas.fa-shopping-basket.fa-2x {
    margin-right: 4%;
  }
  aside i.far.fa-newspaper.fa-2x {
    margin-right: 6%;
  }
  aside i.fas.fa-book.fa-2x {
    margin-right: 9%;
  }
  aside i.fas.fa-user-circle {
    margin-right: 3%;
    color: #ffffff;
  }
  aside .account {
    position: absolute;
    left: 0;
    right: 0;
    margin-left: auto;
    margin-right: auto;
    bottom: 0;
    margin-bottom: 10px;
  }
  aside .account p, aside .account a {
    text-align: center;
    color: rgb(255, 229, 231);
    font-size: 25px;
    text-decoration: none;
  }
  aside nav a {
    text-decoration: none;
    width: 100%;
    color: rgb(255, 229, 231);
    vertical-align: bottom;
  }
  aside ul.nav-ul {
    padding: 0;
  }
  aside .nav-ul li {
    list-style: none;
    margin: auto;
    margin-bottom: 31px;
  }
  aside .nav-ul li:hover {
    background-color: rgb(48, 48, 48);
    border-radius: 8px;
    transition: 0.5s linear, background-size 0.3s 0.2s linear;
  }
  aside nav li {
    width: 150px;
  }
  aside .account p:hover {
    background-color: rgb(48, 48, 48);
    border-radius: 8px;
    transition: 0.5s linear, background-size 0.3s 0.2s linear;
  }
  aside li#index-color, aside li#recherche-color, aside li#collection-color, aside li#panier-color {
    background-color: rgb(48, 48, 48);
    border-radius: 8px;
    padding: 6px;
  }
  aside p#account-color2, aside p#account-color {
    background-color: rgb(48, 48, 48);
    border-radius: 8px;
  }
  aside a#index-color-a-index, aside a#index-color-a-collection, aside a#index-color-a-recherche, aside a#index-color-a-panier, aside a#index-color-a-account, aside a#index-color-a-account2 {
    color: red;
  }
  
  section {
    display: inline-block;
    border-left: 1px solid white;
    width: 80%;
    height: 100%;
    background-color: rgb(6, 6, 6);
    vertical-align: top;
    margin-left: 20%;
  }
  section .container-flex-collections {
    display: flex;
    flex-direction: column;
  }
  section .card-collection {
    display: flex;
    gap: 20px;
    margin-bottom: 20px;
    margin-left: 10px;
    border-bottom: 1px solid white;
    padding-bottom: 20px;
  }
  section .card-collection-img {
    width: 10%;
  }
  section .card-collection-img img {
    -o-object-fit: fill;
    object-fit: fill;
    width: 100%;
    height: 100%;
    border-radius: 5px;
  }
  section .top-div {
    display: flex;
    justify-content: space-between;
  }
  section .topnav {
    align-self: flex-end;
    margin-bottom: 5px;
    margin-right: 5px;
  }
  section input[type=text] {
    background-color: gray;
    border-radius: 6px;
    padding: 5px;
    color: white;
    width: 161px;
  }
  section ::-moz-placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
    color: white;
    opacity: 1; /* Firefox */
  }
  section :-ms-input-placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
    color: white;
    opacity: 1; /* Firefox */
  }
  section ::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
    color: white;
    opacity: 1; /* Firefox */
  }
  section .top-h1 {
    margin-bottom: 20px;
  }
  section h1 {
    color: rgb(255, 229, 231);
    margin-left: 12px;
    margin-top: 18px;
    margin-bottom: 5px;
  }
  section .line {
    border-bottom: 1px solid white;
    margin-bottom: 20px;
  }
  section .card-image img {
    width: 100px;
    height: 100px;
  }
  section .container-flex {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    row-gap: 50px;
    -moz-column-gap: 20px;
         column-gap: 20px;
    margin-bottom: 28px;
  }
  section .card {
    width: 23%;
  }
  section .card img {
    -o-object-fit: fill;
       object-fit: fill;
    width: 100%;
    height: 100%;
    border-radius: 5px;
  }
  section .title-manga {
    color: rgb(255, 229, 231);
    font-size: 20px;
    margin-left: 10px;
    font-weight: bold;
  }
  section .title-manga-collection {
    color: red;
    margin-left: 10px;
    font-weight: bold;
    font-size: 25px;
  }
  section .recherche-navbar {
    display: flex;
    justify-content: space-between;
    margin-top: 10px;
  }
  section .recherche-input {
    position: relative;
  }
  section .recherche-input i.fas.fa-search {
    color: white;
    position: absolute;
    left: 2;
    left: 19px;
    top: 13px;
  }
  section .recherche-navbar input[type=text] {
    background-color: rgb(48, 48, 48);
    border-radius: 13px;
    padding: 5px;
    color: white;
    width: 364px;
    border: 1px solid gray;
    margin-left: 10px;
    margin-bottom: 10px;
    padding-left: 30px;
    margin-top: 7px;
  }
  section .recherche-navbar input[type=text]:focus {
    border-color: gray;
  }
  section .recherche-navbar button {
    background-color: #080808; /* Green */
    border: none;
    color: red;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: 4px 2px;
    border-radius: 23px;
  }
  section .recherche-navbar button:hover {
    background-color: rgb(48, 48, 48);
    border-radius: 8px;
    transition: 0.5s linear, background-size 0.3s 0.2s linear;
  }
  section .container-flex-recherche {
    display: flex;
    flex-direction: column;
  }
  section .container-flex-recherche .card-recherche {
    border-bottom: 1px solid rgb(48, 48, 48);
    margin-bottom: 20px;
  }
  section .container-flex-recherche a {
    text-decoration: none;
    margin-left: 20px;
    margin-bottom: 20px;
    vertical-align: super;
  }
  section .container-flex-panier {
    display: flex;
    flex-direction: column;
  }
  section .card-panier {
    display: flex;
    margin-left: 20px;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid white;
  }
  section .card-panier img {
    -o-object-fit: fill;
       object-fit: fill;
    width: 100%;
    height: 100%;
    border-radius: 6px;
    padding-bottom: 10px;
  }
  section .card-panier h2 {
    color: white;
  }
  section .card-panier p {
    color: rgb(170, 170, 170);
  }
  section .card-panier .panier-img {
    width: 20%;
  }
  section .card-panier .panier-trash-icon {
    margin-right: 10px;
  }
  section .panier-payment {
    align-self: center;
    margin-top: 20px;
  }
  section .panier-payment p {
    color: white;
    text-align: center;
  }
  section .panier-payment .btn-panier-payment {
    background-color: #fbeee0;
    border: 2px solid #422800;
    border-radius: 30px;
    box-shadow: #422800 4px 4px 0 0;
    color: #422800;
    cursor: pointer;
    display: inline-block;
    font-weight: 600;
    font-size: 18px;
    padding: 0 18px;
    line-height: 50px;
    text-align: center;
    text-decoration: none;
    -moz-user-select: none;
     -ms-user-select: none;
         user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
  }
  section .panier-payment .btn-panier-payment {
    background-color: #fff;
  }
  section .panier-payment .btn-panier-payment {
    box-shadow: #422800 2px 2px 0 0;
    transform: translate(2px, 2px);
  }
  section .top-div-page-produit {
    margin-bottom: 10px;
    margin-top: 10px;
    position: relative;
  }
  section .top-div-page-produit a {
    text-decoration: none;
    padding-left: 30px;
    font-size: 25px;
  }
  section .top-div-page-produit i.fas.fa-arrow-left {
    color: red;
    margin-right: 4px;
  }
  section .card-page-produit {
    display: flex;
  }
  section .card-page-produit p, section .card-page-produit h1 {
    color: rgb(255, 255, 231);
    margin-left: 28px;
    margin-bottom: 20px;
    border-bottom: 1px solid white;
    padding-bottom: 10px;
  }
  section .card-page-produit .img-page-produit {
    margin-left: 20px;
    width: 30%;
  }
  section .card-page-produit .img-page-produit img {
    -o-object-fit: fill;
       object-fit: fill;
    width: 100%;
    height: 100%;
    border-radius: 6px;
  }
  section .card-page-produit .detail-page-produit {
    width: 60%;
  }
  section .card-page-produit .div-btn-ajout-page-produit {
    text-align: center;
  }
  section .card-page-produit .btn-ajout-page-produit1, section .card-page-produit .btn-ajout-page-produit2, section .card-page-produit .btn-ajout-page-produit4, section .card-page-produit .btn-ajout-page-produit3 {
    background-color: #fbeee0;
    border: 2px solid #422800;
    border-radius: 30px;
    box-shadow: #422800 4px 4px 0 0;
    color: #422800;
    cursor: pointer;
    display: inline-block;
    margin-bottom: 10px;
    font-size: 1.5vw;
    padding: 0 18px;
    line-height: 50px;
    text-align: center;
    text-decoration: none;
    -moz-user-select: none;
     -ms-user-select: none;
         user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
  }
  section .card-page-produit .btn-ajout-page-produit1 {
    background-color: #6643b5;
  }
  section .card-page-produit .btn-ajout-page-produit2 {
    background-color: #5be7a9;
  }
  section .card-page-produit .btn-ajout-page-produit1, section .card-page-produit .btn-ajout-page-produit2, section .card-page-produit .btn-ajout-page-produit4, section .card-page-produit .btn-ajout-page-produit3 {
    box-shadow: #d9d4cd 2px 2px 0 0;
    transform: translate(2px, 2px);
  }
  section h1.h1-logging {
    text-align: center;
    margin-top: 10%;
  }
  section .container-flex-logging {
    display: flex;
    justify-content: center;
  }
  section .container-flex-logging form input[type=text] {
    border-radius: 24px;
    border: 1px solid gray;
    padding: 15px;
    width: 100%;
  }
  section .container-flex-logging form input[type=submit] {
    border-radius: 24px;
    border: 1px solid gray;
    background-color: red;
    padding: 15px;
    width: 110%;
  }
  section .container-flex-logging .form-logging {
    width: 30%;
  }
  section .container-flex-logging a {
    text-decoration: none;
    color: rgb(255, 229, 231);
  }
  section .container-flex-logging .mdp-oublier {
    text-align: center;
    margin-top: 10px;
    margin-left: 29px;
  }
  section .container-flex-logging input[type=submit]:hover {
    cursor: pointer;
  }
  section .container-flex-recherche-produit-detail {
    margin-left: 25px;
  }
  section .container-flex-recherche-produit-detail p {
    color: rgb(229, 229, 231);
    font-size: 1.3rem;
  }
  section .container-flex-recherche-produit-detail h1 {
    margin-left: 0px;
    font-size: 1.7rem;
  }
  section .container-flex-recherche-produit-detail a {
    text-decoration: none;
    font-size: 1.3rem;
  }
  section .container-flex-recherche-produit-detail .recherche-produit-detail-title, section .container-flex-recherche-produit-detail .recherche-produit-detail-author, section .container-flex-recherche-produit-detail .recherche-produit-detail-edition {
    margin-top: 20px;
    padding-bottom: 20px;
    border-bottom: 1px solid rgb(229, 229, 231);
  }
  section .container-flex-recherche-produit-detail .recherche-produit-detail-author a {
    color: red;
  }
  section .container-flex-recherche-produit-detail .recherche-produit-detail-img-box {
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
    margin-top: 20px;
  }
  section .container-flex-recherche-produit-detail .recherche-produit-detail-img img {
    -o-object-fit: fill;
       object-fit: fill;
    width: 100%;
    height: 100%;
  }
  section .container-flex-recherche-produit-detail .recherche-produit-detail-img {
    width: 20%;
  }
  section .container-flex-recherche-produit-detail .recherche-produit-detail-title p {
    font-size: 1.2rem;
  }
  section .account-page {
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding-bottom: 20px;
  }
  section .account-page a {
    text-decoration: none;
    color: white;
    margin-bottom: 20px;
    font-size: 1.7rem;
  }
  section .card-account-info {
    border-bottom: 1px solid white;
    margin-bottom: 20px;
    margin-top: 20px;
    margin-left: 20px;
    padding-bottom: 10px;
  }
  section .card-account-info p {
    color: white;
  }
  section .btn-account-info {
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin-top: 20px;
  }
  section .btn-account-info a {
    text-decoration: none;
    color: white;
    font-size: 1.3rem;
  }
  section .btn-account-info .btn-logoff {
    color: red;
  }
  section p.text-commande {
    text-align: center;
  }
  section .h2-commande {
    text-align: center;
    margin-top: 0px;
    margin-bottom: 0px;
  }
  section .card-commande-box {
    margin-bottom: 20px;
  }
  section form {
    text-align: center;
  }
  
  section.mobile-footer {
    padding-top: 2%;
    height: 20px;
    width: 100%;
    background-image: none;
    background-repeat: repeat;
    background-attachment: scroll;
    background-position: 0% 0%;
    position: fixed;
    bottom: 0pt;
    left: 0pt;
    padding-bottom: 20px;
    display: none;
  }
  
  ul.nav-footer {
    display: flex;
    justify-content: space-around;
  }
  
  a {
    color: white;
  }
  
  i.fas.fa-search.fa-2x {
    font-size: 30px;
  }
  
  i.far.fa-newspaper.fa-2x {
    font-size: 30px;
  }
  
  i.fas.fa-book.fa-2x {
    font-size: 30px;
  }
  
  i.fas.fa-shopping-basket.fa-2x {
    font-size: 30px;
  }
  
  @media screen and (max-width: 992px) {
    aside a {
      font-size: 17px;
    }
    i.fas.fa-search.fa-2x {
      font-size: 16px;
    }
    i.far.fa-newspaper.fa-2x {
      font-size: 16px;
    }
    i.fas.fa-book.fa-2x {
      font-size: 16px;
    }
    i.fas.fa-shopping-basket.fa-2x {
      font-size: 16px;
    }
    aside nav li {
      width: 107px;
    }
    aside .account p, aside .account a {
      font-size: 16px;
    }
    i.fas.fa-user-circle {
      font-size: 16px;
    }
    section .card-collection {
      display: flex;
      gap: 20px;
      margin-bottom: 20px;
      margin-left: 10px;
      flex-wrap: wrap;
    }
    section .card-collection-img {
      width: 16%;
    }
    section .recherche-navbar input[type=text] {
      width: 300px;
    }
    .recherche-input {
      width: 100%;
    }
    section .card-page-produit .btn-ajout-page-produit1, section .card-page-produit .btn-ajout-page-produit2, section .card-page-produit .btn-ajout-page-produit4, section .card-page-produit .btn-ajout-page-produit3 {
      font-size: 16px;
    }
    section .container-flex-logging form input[type=submit] {
      width: 114%;
    }
    section .account-page a {
      font-size: 1.3rem;
    }
  }
  @media screen and (max-width: 927px) {
    section .card-page-produit .btn-ajout-page-produit1, section .card-page-produit .btn-ajout-page-produit2, section .card-page-produit .btn-ajout-page-produit4, section .card-page-produit .btn-ajout-page-produit3 {
      font-size: 12px;
    }
  }
  @media screen and (max-width: 777px) {
    section .card-page-produit .btn-ajout-page-produit1, section .card-page-produit .btn-ajout-page-produit2, section .card-page-produit .btn-ajout-page-produit4, section .card-page-produit .btn-ajout-page-produit3 {
      font-size: 10px;
    }
  }
  @media screen and (max-width: 767px) {
    section {
      width: 100%;
      margin-left: 0;
      border-left: none;
    }
    .container {
      /* position: fixed; */
      display: none;
    }
    section .card {
      width: 32%;
    }
    section .line {
      border-bottom: none;
    }
    section .card-collection-img + .card-collection-img {
      display: none;
    }
    section .card-collection-img {
      width: 37%;
    }
    section .title-manga-collection {
      color: red;
      font-size: 38px;
      font-weight: bold;
      text-align: center;
    }
    section .card-collection {
      display: flex;
      gap: 20px;
      margin-bottom: 20px;
      margin-left: 10px;
      justify-content: center;
      border-bottom: none;
    }
    i.fas.fa-search.fa-2x {
      font-size: 30px;
    }
    i.far.fa-newspaper.fa-2x {
      font-size: 30px;
    }
    i.fas.fa-book.fa-2x {
      font-size: 30px;
    }
    i.fas.fa-shopping-basket.fa-2x {
      font-size: 30px;
    }
    i.fas.fa-user-circle {
      font-size: 30px;
    }
    section.mobile-footer {
      display: block;
    }
    ul.nav-footer {
      padding: 0;
    }
    section .recherche-navbar input[type=text] {
      margin-left: 0px;
      padding-left: 36px;
      box-sizing: border-box;
    }
    section .recherche-navbar input[type=text] {
      width: 100%;
    }
    section .recherche-navbar {
      flex-wrap: wrap;
    }
    section .card-panier .panier-img {
      width: 30%;
    }
    section .card-page-produit .detail-page-produit {
      width: 86%;
      padding-bottom: 50px;
    }
    section .card-page-produit {
      display: flex;
      flex-wrap: wrap;
      justify-content: center;
    }
    section .card-page-produit .img-page-produit {
      margin-left: 0px;
      width: 70%;
    }
    body.body-page-produit {
      height: 100%;
    }
    .recherche-produit-detail-img + .recherche-produit-detail-img {
      display: none;
    }
    section .container-flex-recherche-produit-detail .recherche-produit-detail-img {
      width: 30%;
    }
    .recherche-produit-detail-img-box {
      justify-content: center;
    }
  }
  @media screen and (max-width: 640px) {
    section .container-flex-logging form input[type=submit] {
      width: 116%;
    }
  }
  @media screen and (max-width: 550px) {
    section .container-flex-logging .mdp-oublier a {
      font-size: 14px;
    }
    section .account-page a {
      font-size: 1.1rem;
    }
  }
  @media screen and (max-width: 525px) {
    section .container-flex-logging form input[type=submit] {
      width: 120%;
    }
  }
  @media screen and (max-width: 550px) {
    section .container-flex-logging .mdp-oublier a {
      font-size: 12px;
    }
    section .container-flex-recherche-produit-detail .recherche-produit-detail-img {
      width: 40%;
    }
  }
  @media screen and (max-width: 440px) {
    section .container-flex-logging form input[type=submit] {
      width: 125%;
    }
    section .container-flex-logging .mdp-oublier a {
      font-size: 10px;
    }
    section .container-flex-recherche-produit-detail .recherche-produit-detail-img {
      width: 50%;
    }
    section .account-page a {
      font-size: 1rem;
    }
  }
  @media screen and (max-width: 400px) {
    section .account-page a {
      font-size: 0.9rem;
    }
  }
  @media screen and (max-width: 370px) {
    section .container-flex-logging form input[type=submit] {
      width: 129%;
    }
  }